Debian Bug report logs - #673637
ITA: tcpflow -- TCP flow recorder

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Romain Francoise <rfrancoise@debian.org>

Date: Sun, 20 May 2012 11:09:01 UTC

Owned by: Dima Kogan <dima@secretsauce.net>

Severity: normal

Fixed in version tcpflow/1.3.0+dfsg-1

Done: Dima Kogan <dima@secretsauce.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673637; Package wnpp. (Sun, 20 May 2012 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Francoise <rfrancoise@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 20 May 2012 11:09:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: tcpflow -- TCP flow recorder
Date: Sun, 20 May 2012 13:07:36 +0200
Package: wnpp
Severity: normal

I intend to orphan the tcpflow package.

Note: the upstream author is no longer active, the project was taken
over by a new upstream who rewrote the program in C++:

    https://github.com/simsong/tcpflow/

The package description is:
 tcpflow is a program that captures data transmitted as part of TCP
 connections (flows), and stores the data in a way that is convenient
 for protocol analysis or debugging. A program like 'tcpdump' shows a
 summary of packets seen on the wire, but usually doesn't store the
 data that's actually being transmitted. In contrast, tcpflow
 reconstructs the actual data streams and stores each flow in a
 separate file for later analysis.
 .
 tcpflow understands sequence numbers and will correctly reconstruct
 data streams regardless of retransmissions or out-of-order delivery.
 However, it currently does not understand IP fragments; flows
 containing IP fragments will not be recorded properly.
 .
 tcpflow is based on the LBL Packet Capture Library and therefore
 supports the same rich filtering expressions that programs like
 'tcpdump' support. tcpflow can also rebuild flows from data captured
 with 'tcpdump -w'.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673637; Package wnpp. (Fri, 16 Nov 2012 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Kogan <dima@secretsauce.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 16 Nov 2012 10:48:04 GMT) Full text and rfc822 format available.

Message #10 received at 673637@bugs.debian.org (full text, mbox):

From: Dima Kogan <dima@secretsauce.net>
To: 673637@bugs.debian.org
Subject: Adoption
Date: Fri, 16 Nov 2012 02:44:54 -0800
I intend to adopt this package



Changed Bug title to 'ITA: tcpflow -- TCP flow recorder' from 'O: tcpflow -- TCP flow recorder' Request was from Dima Kogan <dima@secretsauce.net> to control@bugs.debian.org. (Fri, 16 Nov 2012 10:48:06 GMT) Full text and rfc822 format available.

Owner recorded as Dima Kogan <dima@secretsauce.net>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 17 Nov 2012 11:51:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 673637: 694778 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 30 Nov 2012 16:21:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 23 Apr 2013 08:06:06 GMT) Full text and rfc822 format available.

Reply sent to Dima Kogan <dima@secretsauce.net>:
You have taken responsibility. (Thu, 25 Apr 2013 09:03:23 GMT) Full text and rfc822 format available.

Notification sent to Romain Francoise <rfrancoise@debian.org>:
Bug acknowledged by developer. (Thu, 25 Apr 2013 09:03:23 GMT) Full text and rfc822 format available.

Message #23 received at 673637-close@bugs.debian.org (full text, mbox):

From: Dima Kogan <dima@secretsauce.net>
To: 673637-close@bugs.debian.org
Subject: Bug#673637: fixed in tcpflow 1.3.0+dfsg-1
Date: Thu, 25 Apr 2013 09:00:05 +0000
Source: tcpflow
Source-Version: 1.3.0+dfsg-1

We believe that the bug you reported is fixed in the latest version of
tcpflow, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673637@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dima Kogan <dima@secretsauce.net> (supplier of updated tcpflow package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Feb 2013 02:16:53 -0800
Source: tcpflow
Binary: tcpflow tcpflow-dbg
Architecture: source amd64
Version: 1.3.0+dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Dima Kogan <dima@secretsauce.net>
Changed-By: Dima Kogan <dima@secretsauce.net>
Description: 
 tcpflow    - TCP flow recorder
 tcpflow-dbg - TCP flow recorder - debug symbols
Closes: 536792 611047 636212 636922 673637
Changes: 
 tcpflow (1.3.0+dfsg-1) experimental; urgency=low
 .
   * New Maintainer (Closes: #673637)
   * Package now follows new upstream:
     http://www.afflib.org/software/tcpflow/ . This fixes several bugs:
     (Closes: #636922, #536792, #611047, #636212)
   * Updated debianization
     - moved to debhelper v9, so debian/rules is now much simpler
     - added watch files
     - expanded debian/copyright
     - now building a tcpflow-dbg package
Checksums-Sha1: 
 23f888af4ce739cdb20686e22e5aade0baf4e736 1955 tcpflow_1.3.0+dfsg-1.dsc
 5e9738da87660cc41b93efe542e0e5948459da5b 128514 tcpflow_1.3.0+dfsg.orig.tar.gz
 6d21b5fa979dbef006427d84e5b53733a999bd23 6293 tcpflow_1.3.0+dfsg-1.debian.tar.gz
 f93f7849e6e4abebd733b3c14942e408ca685f7b 70100 tcpflow_1.3.0+dfsg-1_amd64.deb
 c148f3efd19778653150580963713f1876ab3211 362688 tcpflow-dbg_1.3.0+dfsg-1_amd64.deb
Checksums-Sha256: 
 8b36a98916101bfee282bd2fbb6a894f7f1fc454152ca32760a69e242ef2b709 1955 tcpflow_1.3.0+dfsg-1.dsc
 f90749e358755c30f84cc5202cbca1a83019f39ec8141d8d877aa71e479e412f 128514 tcpflow_1.3.0+dfsg.orig.tar.gz
 bab0649f6e250f163b817cdb18e0c5c2b881598e5f05a3612158557ab22c5e73 6293 tcpflow_1.3.0+dfsg-1.debian.tar.gz
 ac4e5bbecfe1e01430df44937c50beed93522633d88d19a42599757837c437e7 70100 tcpflow_1.3.0+dfsg-1_amd64.deb
 384526676fb73fa4b45e6330e1ece578e702e1627269cfe8e26cc95ebc24340a 362688 tcpflow-dbg_1.3.0+dfsg-1_amd64.deb
Files: 
 a3892d07de1da9fb92014b8167595cbd 1955 net optional tcpflow_1.3.0+dfsg-1.dsc
 1c34e2693c90d1faf781bd1aa6791266 128514 net optional tcpflow_1.3.0+dfsg.orig.tar.gz
 20504a5adf4884519e8e5b78e1eab3e2 6293 net optional tcpflow_1.3.0+dfsg-1.debian.tar.gz
 85f2d2b23d309938daaea85d6aa4ac1b 70100 net optional tcpflow_1.3.0+dfsg-1_amd64.deb
 8b09e9fd14909510b86be54fe1733317 362688 debug extra tcpflow-dbg_1.3.0+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRddswAAoJEHtYWzCAfCqH/1IP/AgWmefWdBCpSQcBgxd/KxsZ
6UNAroeWsoqRBFJqjO7PR5h8wF3CN+JbvG+n2HXOM4adO1FV07DsPA+LzQQJr+hA
8X4h3FGR6mk1DlxMYguH3byWNiQcG+AheNUOVmmIw/LbswiVkHB57elIHSL8WGgp
2AzZu+65o4dm/53lvCaZSDig9NBbt2UyR9Z970fzMY7EzvcSSqIm/FFA68RlgePt
267el9+dz1OJgGsfvBu2/j3ccAfCawXIcj8pM9M+mpa2Li/dTxdTiqf3BlwrKI/C
okd6wuq+vVLQD46YpEoHCRJeRu2vH2pdcpXfNkghSO8veLSRFzSwrPtFocd42hu+
dMHH9U1b9rrFzRZqatHJhPo3YhBuCpfoHeRAtPuVBWmq69Ar/672YpYH9OKRAyYC
dyXRAi3YeEtQiNFeK86sh0oXZiRAWfSNnjTTqX9MELrhB3HjW5Eczqa6/0k1I8qU
Jjew1KIuV6fJ12ELB3loCsMMbUVk8RZ97wUd3Z1opnwmdlsMB3vmhajhkxHhjLkQ
QqfMJ0ES2r0sQTETj1grsSEfi67gI27pWOh4qwOCFknfnXeQDVAMRws3qnvrAVHk
6MZUrsCUQ6bzBgAotxXP8+zFXfaGHU+QGcKbP+yry4Ro3csM8k4QHVvVgF1kf4yr
aEOmiTQlCfCNdGplY5cp
=g00C
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 May 2013 07:27:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:51:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.